Bug 965254 - [RFE] add explicit "no service level" to system CLI
[RFE] add explicit "no service level" to system CLI
Status: CLOSED WONTFIX
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Hammer (Show other bugs)
Nightly
Unspecified Unspecified
unspecified Severity medium (vote)
: Unspecified
: --
Assigned To: Mike McCune
Katello QA List
: FutureFeature, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-20 15:13 EDT by sthirugn@redhat.com
Modified: 2016-10-24 08:50 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-10-24 08:50:36 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description sthirugn@redhat.com 2013-05-20 15:13:30 EDT
Description of problem:
Not able to set default SLA for an ORG in CLI

Version-Release number of selected component (if applicable):
* candlepin-0.8.7-1.el6.noarch
* candlepin-cert-consumer-ibm-x3655-02.ovirt.rhts.eng.bos.redhat.com-1.0-1.noarch
* candlepin-tomcat6-0.8.7-1.el6.noarch
* elasticsearch-0.19.9-7.el6.noarch
* katello-candlepin-cert-key-pair-1.0-1.noarch
* katello-certs-tools-1.4.2-1.el6.noarch
* katello-cli-1.4.2-1.git.48.441089b.el6.noarch
* katello-cli-common-1.4.2-1.git.48.441089b.el6.noarch
* katello-common-1.4.2-1.git.352.c97daf2.el6.noarch
* katello-configure-1.4.3-1.git.21.0134f7d.el6.noarch
* katello-glue-candlepin-1.4.2-1.git.352.c97daf2.el6.noarch
* katello-glue-elasticsearch-1.4.2-1.git.352.c97daf2.el6.noarch
* katello-headpin-1.4.2-1.git.352.c97daf2.el6.noarch
* katello-headpin-all-1.4.2-1.git.352.c97daf2.el6.noarch
* Katello-Katello-Installation-RegisterRHNClassic-1.1-3.noarch
* Katello-Katello-Sanity-ImportKeys-1.2-1.noarch
* katello-repos-1.4.2-1.el6.noarch
* katello-selinux-1.4.3-1.git.3.ce8227b.el6.noarch
* thumbslug-0.0.27-1.el6.noarch
* thumbslug-selinux-0.0.27-1.el6.noarch


How reproducible:
Always

Steps to Reproduce:
1. Install headpin-nightly
2. Upload a manifest
3. Try setting default SLA for an ORG in UI.  Options shown are 
a. 'Service Level None' 
b. 'No Service Level Preference'
4. Selecting either of the above and saving works fine
5. Now go to cli and log in to headpin shell and try the following commands:
#org update --name ACME_Corporation --servicelevel='No Service Level Preference'
Service level 'No Service Level Preference' is not available to consumers of organization ACME_Corporation.

#org update --name ACME_Corporation --servicelevel='Service Level None'
Service level 'Service Level None' is not available to consumers of organization ACME_Corporation.

Actual results:
An error is thrown as shown above

Expected results:
User should be able to set default SLA for an ORG in CLI

Additional info:
The following command works though:
#org update --name ACME_Corporation --servicelevel='None'
Successfully updated organization [ ACME_Corporation ]

Now it is confusing for the user on what value should be passed to --servicelevel argument in CLI.  May be the --help command needs to instruct user on how to go about using this command.
Comment 1 Tom McKay 2013-05-20 15:18:42 EDT
NOTE: work-around is to specify '' (empty string) to switch to no preference)

This, in fact, may be working as expected. What should valid values be to set to none? What about i18n?
Comment 3 Tom McKay 2013-10-02 12:54:47 EDT
Changing to RFE to allow explicit setting of "no service level"
Comment 9 sthirugn@redhat.com 2016-10-24 08:50:36 EDT
Actually we don't have a `servicelevel` option in hammer anymore. Closing this bug.

Note You need to log in before you can comment on or make changes to this bug.